Skip to Content

GET /api/v1/user/history/offers

Offers the authenticated user has made, ordered by most recent.

Authentication: Required

Cache: None

Query Parameters

ParameterTypeDefaultDescription
pagenumber1Page number
limitnumber20Results per page (1-100)

Extra Fields

FieldTypeDescription
offer.idnumberOffer ID
offer.price_weistringOffer amount in wei
offer.currency_addressstringPayment token address
offer.statusstringpending, accepted, rejected, expired, unfunded
offer.created_atstringWhen the offer was created
offer.expires_atstring | nullOffer expiration

Sample Request

curl -H "Authorization: Bearer YOUR_TOKEN" \ "https://api.grails.app/api/v1/user/history/offers?limit=10"

Response

// 200 OK { "success": true, "data": { "names": [ { // ... standard SearchResult fields (id, name, token_id, owner, etc.) "offer": { "id": 42, "price_wei": "100000000000000000", "currency_address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2", "status": "pending", "created_at": "2026-04-06T10:00:00.000Z", "expires_at": "2026-04-13T10:00:00.000Z" } } ], "pagination": { "page": 1, "limit": 10, "total": 5, "totalPages": 1, "hasNext": false, "hasPrev": false } }, "meta": { "timestamp": "2026-04-07T12:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
404USER_NOT_FOUNDUser account not found
Last updated on